---
title: Update an org group policy override
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Groups
---

# Update an org group policy override{% #update-an-org-group-policy-override %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                         |
| ----------------- | ---------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/org_group_policy_overrides/{org_group_policy_override_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/org_group_policy_overrides/{org_group_policy_override_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/org_group_policy_overrides/{org_group_policy_override_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/org_group_policy_overrides/{org_group_policy_override_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/org_group_policy_overrides/{org_group_policy_override_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/org_group_policy_overrides/{org_group_policy_override_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/org_group_policy_overrides/{org_group_policy_override_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/org_group_policy_overrides/{org_group_policy_override_id} |

### Overview

Update an existing organization group policy override. This endpoint requires the `org_group_write` permission.

### Arguments

#### Path Parameters

| Name                                           | Type   | Description                              |
| ---------------------------------------------- | ------ | ---------------------------------------- |
| org_group_policy_override_id [*required*] | string | The ID of the org group policy override. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                                                                                             |
| ------------ | ---------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | Data for updating a policy override.                                                                                                    |
| data         | attributes [*required*] | object | Attributes for updating a policy override. The `org_uuid` and `org_site` fields must match the existing override and cannot be changed. |
| attributes   | org_site [*required*]   | string | The site of the organization.                                                                                                           |
| attributes   | org_uuid [*required*]   | uuid   | The UUID of the organization.                                                                                                           |
| data         | id [*required*]         | uuid   | The ID of the policy override.                                                                                                          |
| data         | type [*required*]       | enum   | Org group policy overrides resource type. Allowed enum values: `org_group_policy_overrides`                                             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "org_site": "us1",
      "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
    },
    "id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
    "type": "org_group_policy_overrides"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single org group policy override.

| Parent field     | Field                         | Type      | Description                                                                                 |
| ---------------- | ----------------------------- | --------- | ------------------------------------------------------------------------------------------- |
|                  | data [*required*]        | object    | An org group policy override resource.                                                      |
| data             | attributes [*required*]  | object    | Attributes of an org group policy override.                                                 |
| attributes       | content                       | object    | The override content as key-value pairs.                                                    |
| attributes       | created_at [*required*]  | date-time | Timestamp when the override was created.                                                    |
| attributes       | modified_at [*required*] | date-time | Timestamp when the override was last modified.                                              |
| attributes       | org_site [*required*]    | string    | The site of the organization that has the override.                                         |
| attributes       | org_uuid [*required*]    | uuid      | The UUID of the organization that has the override.                                         |
| data             | id [*required*]          | uuid      | The ID of the policy override.                                                              |
| data             | relationships                 | object    | Relationships of an org group policy override.                                              |
| relationships    | org_group                     | object    | Relationship to a single org group.                                                         |
| org_group        | data [*required*]        | object    | A reference to an org group.                                                                |
| data             | id [*required*]          | uuid      | The ID of the org group.                                                                    |
| data             | type [*required*]        | enum      | Org groups resource type. Allowed enum values: `org_groups`                                 |
| relationships    | org_group_policy              | object    | Relationship to a single org group policy.                                                  |
| org_group_policy | data [*required*]        | object    | A reference to an org group policy.                                                         |
| data             | id [*required*]          | uuid      | The ID of the policy.                                                                       |
| data             | type [*required*]        | enum      | Org group policies resource type. Allowed enum values: `org_group_policies`                 |
| data             | type [*required*]        | enum      | Org group policy overrides resource type. Allowed enum values: `org_group_policy_overrides` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "content": {},
      "created_at": "2024-01-15T10:30:00Z",
      "modified_at": "2024-01-15T10:30:00Z",
      "org_site": "us1",
      "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
    },
    "id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
    "relationships": {
      "org_group": {
        "data": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
          "type": "org_groups"
        }
      },
      "org_group_policy": {
        "data": {
          "id": "1a2b3c4d-5e6f-7890-abcd-ef0123456789",
          "type": "org_group_policies"
        }
      }
    },
    "type": "org_group_policy_overrides"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export org_group_policy_override_id="9f8e7d6c-5b4a-3210-fedc-ba0987654321" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/org_group_policy_overrides/${org_group_policy_override_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "org_site": "us1",
      "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
    },
    "id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
    "type": "org_group_policy_overrides"
  }
}
EOF 
                
##### 

```python
"""
Update an org group policy override returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_groups_api import OrgGroupsApi
from datadog_api_client.v2.model.org_group_policy_override_type import OrgGroupPolicyOverrideType
from datadog_api_client.v2.model.org_group_policy_override_update_attributes import (
    OrgGroupPolicyOverrideUpdateAttributes,
)
from datadog_api_client.v2.model.org_group_policy_override_update_data import OrgGroupPolicyOverrideUpdateData
from datadog_api_client.v2.model.org_group_policy_override_update_request import OrgGroupPolicyOverrideUpdateRequest
from uuid import UUID

body = OrgGroupPolicyOverrideUpdateRequest(
    data=OrgGroupPolicyOverrideUpdateData(
        attributes=OrgGroupPolicyOverrideUpdateAttributes(
            org_site="us1",
            org_uuid=UUID("c3d4e5f6-a7b8-9012-cdef-012345678901"),
        ),
        id=UUID("9f8e7d6c-5b4a-3210-fedc-ba0987654321"),
        type=OrgGroupPolicyOverrideType.ORG_GROUP_POLICY_OVERRIDES,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_org_group_policy_override"] = True
with ApiClient(configuration) as api_client:
    api_instance = OrgGroupsApi(api_client)
    response = api_instance.update_org_group_policy_override(
        org_group_policy_override_id=UUID("9f8e7d6c-5b4a-3210-fedc-ba0987654321"), body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update an org group policy override returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_org_group_policy_override".to_sym] = true
end
api_instance = DatadogAPIClient::V2::OrgGroupsAPI.new

body = DatadogAPIClient::V2::OrgGroupPolicyOverrideUpdateRequest.new({
  data: DatadogAPIClient::V2::OrgGroupPolicyOverrideUpdateData.new({
    attributes: DatadogAPIClient::V2::OrgGroupPolicyOverrideUpdateAttributes.new({
      org_site: "us1",
      org_uuid: "c3d4e5f6-a7b8-9012-cdef-012345678901",
    }),
    id: "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
    type: DatadogAPIClient::V2::OrgGroupPolicyOverrideType::ORG_GROUP_POLICY_OVERRIDES,
  }),
})
p api_instance.update_org_group_policy_override("9f8e7d6c-5b4a-3210-fedc-ba0987654321", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update an org group policy override returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.OrgGroupPolicyOverrideUpdateRequest{
		Data: datadogV2.OrgGroupPolicyOverrideUpdateData{
			Attributes: datadogV2.OrgGroupPolicyOverrideUpdateAttributes{
				OrgSite: "us1",
				OrgUuid: uuid.MustParse("c3d4e5f6-a7b8-9012-cdef-012345678901"),
			},
			Id:   uuid.MustParse("9f8e7d6c-5b4a-3210-fedc-ba0987654321"),
			Type: datadogV2.ORGGROUPPOLICYOVERRIDETYPE_ORG_GROUP_POLICY_OVERRIDES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateOrgGroupPolicyOverride", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgGroupsApi(apiClient)
	resp, r, err := api.UpdateOrgGroupPolicyOverride(ctx, uuid.MustParse("9f8e7d6c-5b4a-3210-fedc-ba0987654321"), body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgGroupsApi.UpdateOrgGroupPolicyOverride`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgGroupsApi.UpdateOrgGroupPolicyOverride`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update an org group policy override returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgGroupsApi;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideResponse;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideType;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideUpdateAttributes;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideUpdateData;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideUpdateRequest;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateOrgGroupPolicyOverride", true);
    OrgGroupsApi apiInstance = new OrgGroupsApi(defaultClient);

    OrgGroupPolicyOverrideUpdateRequest body =
        new OrgGroupPolicyOverrideUpdateRequest()
            .data(
                new OrgGroupPolicyOverrideUpdateData()
                    .attributes(
                        new OrgGroupPolicyOverrideUpdateAttributes()
                            .orgSite("us1")
                            .orgUuid(UUID.fromString("c3d4e5f6-a7b8-9012-cdef-012345678901")))
                    .id(UUID.fromString("9f8e7d6c-5b4a-3210-fedc-ba0987654321"))
                    .type(OrgGroupPolicyOverrideType.ORG_GROUP_POLICY_OVERRIDES));

    try {
      OrgGroupPolicyOverrideResponse result =
          apiInstance.updateOrgGroupPolicyOverride(
              UUID.fromString("9f8e7d6c-5b4a-3210-fedc-ba0987654321"), body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgGroupsApi#updateOrgGroupPolicyOverride");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update an org group policy override returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_groups::OrgGroupsAPI;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideType;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideUpdateAttributes;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideUpdateData;
use datadog_api_client::datadogV2::model::OrgGroupPolicyOverrideUpdateRequest;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = OrgGroupPolicyOverrideUpdateRequest::new(OrgGroupPolicyOverrideUpdateData::new(
        OrgGroupPolicyOverrideUpdateAttributes::new(
            "us1".to_string(),
            Uuid::parse_str("c3d4e5f6-a7b8-9012-cdef-012345678901").expect("invalid UUID"),
        ),
        Uuid::parse_str("9f8e7d6c-5b4a-3210-fedc-ba0987654321").expect("invalid UUID"),
        OrgGroupPolicyOverrideType::ORG_GROUP_POLICY_OVERRIDES,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateOrgGroupPolicyOverride", true);
    let api = OrgGroupsAPI::with_config(configuration);
    let resp = api
        .update_org_group_policy_override(
            Uuid::parse_str("9f8e7d6c-5b4a-3210-fedc-ba0987654321").expect("invalid UUID"),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update an org group policy override returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateOrgGroupPolicyOverride"] = true;
const apiInstance = new v2.OrgGroupsApi(configuration);

const params: v2.OrgGroupsApiUpdateOrgGroupPolicyOverrideRequest = {
  body: {
    data: {
      attributes: {
        orgSite: "us1",
        orgUuid: "c3d4e5f6-a7b8-9012-cdef-012345678901",
      },
      id: "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
      type: "org_group_policy_overrides",
    },
  },
  orgGroupPolicyOverrideId: "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
};

apiInstance
  .updateOrgGroupPolicyOverride(params)
  .then((data: v2.OrgGroupPolicyOverrideResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
